# Ansible-Linux_Base

Configures a Linux machine to the corporate base image from default install media with a minimal install

## Requirements

If the "base_core_hostname" variable is defined, it is recommended to set the ansible_ssh_common_args variable for the host to the following setting so the regeneration of the SSH host keys will not cause an error.

|        Variable         |                             Value                             |
| ----------------------- | ------------------------------------------------------------- |
| ansible_ssh_common_args | '-o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no' |

## Example

Execute playbook with needed variables

`ansible-playbook -i hosts site.yml --ask-pass --ask-become-pass`

Inventory File:

```yaml
---
# file: hosts.yml

prod:
  hosts:
    prod-svr01:
      ansible_host: 192.168.0.10
      base_core_hostname: "prod-svr01"
    prod-svr02:
      ansible_host: 192.168.0.11

  vars:
    ansible_user: ansible
    ansible_ssh_common_args: '-o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no'
    base_core_ssh_permit_password_authentication: true
```

### Tags

Available tags for the role:

| Role |                                                                        Tags                                                                        |
| ---- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| Base | all, authorized_key, automatic_updates, cert, firewall, hostname, kernel, motd, password_auth, root_ca, root_login, ssh, time_sync, users, web_management |
